

package gov.va.med.cds.hapi;


import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;


public class HL7SupportException
    extends
        AbstractCdsBaseException
{

    private static final long serialVersionUID = -1322328947811565726L;


    public HL7SupportException( ErrorCodeEnum errorCode )
    {
        super( errorCode );
    }


    public HL7SupportException( ErrorCodeEnum errorCode, String... customMsgValues )
    {
        super( errorCode, customMsgValues );
    }


    public HL7SupportException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public HL7SupportException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )
    {
        super( errorCode, cause, customMsgValues );
    }

}
